{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.desktop.phosh;
in {
  options.ptw.desktop.phosh = {
    enable = lib.mkEnableOption "Enable Phosh";
  };

  config = lib.mkIf cfg.enable {
    assertions = [
      {
        assertion = config.ptw.services.gdm.enable == false;
        message = "Phosh conflicts GDM";
      }
      {
        assertion = config.services.xserver.displayManager.sddm.enable == false;
        message = "Phosh conflicts SDDM";
      }
    ];
    
    services.xserver.desktopManager.phosh = {
      user = config.ptw.system.singleUser;
      group = "users";
      #package = pkgs.phosh;
      enable = true;
    };
  };
}
