{ lib
, python3, nbxmpp
, gettext
, fetchgit
, wrapGAppsHook
, gobject-introspection
, libsoup_3
, gtksourceview4
, libappindicator-gtk3
, farstream
, gst_all_1
, gsound
}:

python3.pkgs.buildPythonApplication rec {
  pname = "gajim";
  version = "1.7.3";
  format = "pyproject";

  src = fetchgit {
    url = "https://dev.gajim.org/gajim/gajim";
    rev = version;
    hash = "sha256-47CzJwmPRl+DggxwI63sp/JJAnEvnNUS1MxFrRIBAw8=";
  };

  nativeBuildInputs = [
    python3.pkgs.setuptools
    gettext
    wrapGAppsHook
    gobject-introspection
  ];

  propagatedBuildInputs = with python3.pkgs; [
    setuptools
    pygobject3
    cryptography
    css-parser
    keyring
    nbxmpp
    packaging
    pillow
    precis-i18n
    pycairo
    gobject-introspection

    # Omemo
    python-axolotl
    qrcode

    # Additional features
    gsound
    libappindicator-gtk3
    farstream gst_all_1.gstreamer gst_all_1.gst-libav gst_all_1.gst-plugins-base gst_all_1.gst-plugins-good

    # Gtk dependencies
    libsoup_3
    gtksourceview4
  ];

  pythonImportsCheck = [ "gajim" ];

  meta = with lib; {
    description = "";
    homepage = "https://dev.gajim.org/gajim/gajim";
    license = licenses.gpl3Only;
    maintainers = with maintainers; [ ];
  };
}
